"use strict";

require("@testing-library/jest-dom");
var _react = require("@testing-library/react");
var _Header = require("../Header");
var _jsxRuntime = require("react/jsx-runtime");
describe('Header', function () {
  test('should render a title when `title` prop is set', function () {
    (0, _react.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      title: "title"
    }));
    var expected = 'title';
    var actual = _react.screen.getByText('title').parentElement.parentElement;
    expect(actual).toBeInTheDocument();
    expect(actual).toHaveClass(expected);
  });
  test('should render a subtitle when `subtitle` prop is set', function () {
    (0, _react.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      subtitle: "subtitle",
      title: "title"
    }));
    var expected = 'subtitle';
    var actual = _react.screen.getByText('subtitle').parentElement.parentElement;
    expect(actual).toBeInTheDocument();
    expect(actual).toHaveClass(expected);
  });
  test('should render a title above when `titleAbove` prop is set', function () {
    (0, _react.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      title: "title",
      titleAbove: "title above"
    }));
    var expected = 'titleAbove';
    var actual = _react.screen.getByText('title above').parentElement.parentElement;
    expect(actual).toBeInTheDocument();
    expect(actual).toHaveClass(expected);
  });
});